<!DOCTYPE html>


<html lang="fr" class="light-style  customizer-hide" dir="ltr">

<head>
  <meta charset="utf-8" />
  <meta name="viewport"
    content="width=device-width, initial-scale=1.0, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0" />

  <title>Password Guesser</title>

  <link rel= "stylesheet" type= "text/css" href= "{{ url_for('static',filename='styles/style.css') }}">
</head>

<body>

  <div class="main">
    <h1>Password Guesser</h1>
    <p>PasswordGuesser est un projet visant à simuler la création de mots de passe d'utilisateurs sur le web à partir d'informations données. L'idée principale étant de faire prendre conscience aux utilisateur de la faiblesse générale de leurs mots de passe et de la simplicité de piratage qui est en jeu.</p>
    <br>
    <div class="datas">
      <h2>Données de base</h2>
      <h3>Mots</h3>
      <input type="text">
      <input type="text">
      <button>+</button>
      <h3>Dates</h3>
      <input type="date">
      <button>+</button>
    </div>
    <br>
    <h2>Options</h2>
    <div class="groupOptions">
      <div class="options">
        <label for="lettresMin">Basculer toutes les lettres en minuscule</label>
        <input type="checkbox" id="lettresMin"> <br>
        <label for="lettresMaj">Basculer toutes les lettres en majuscule</label>
        <input type="checkbox" id="lettresMaj"> <br>
        <label for="premiereMaj">Basculer la première lettre en majuscule</label>
        <input type="checkbox" id="premiereMaj"> <br>
        <label for="sansAccents">Retirer les accents</label>
        <input type="checkbox" id="sansAccents"> <br>
        <label for="l33t">Utiliser le l33t</label>
        <input type="checkbox" id="l33t">
      </div>
      <div class="options">
        <label for="annee2chiffres">Utiliser l'année sur 2 chiffres</label>
        <input type="checkbox" id="annee2chiffres"> <br>
        <label for="moisEnMots">Transformer les dates en langage humain pour les mois</label>
        <input type="checkbox" id="moisEnMots"> <br>
        <label for="langue">Langue</label>
        <select name="langue" id="langue">
          <option value="fr_FR">Français</option>
          <option value="en_US">Anglais</option>
          <option value="de_DE">Allemand</option>
          <option value="es_ES">Espagnol</option>
        </select>
      </div>
      <div class="options">
        <label for="specialCharsBasic">Ajouter les caractères spéciaux les plus communs</label>
        <input type="checkbox" id="specialCharsBasic"> <br>
        <label for="specialCharsAll">Ajouter tous les caractères spéciaux</label>
        <input type="checkbox" id="specialCharsAll"> <br>
        <label for="maxSpecialChars">Nombre de caractères spéciaux maximums dans la combinaison</label>
        <input type="number" id="maxSpecialChars"> <br>
      </div>
    </div>
    <br><br><br>
    <form action="/run">
      <button class="run" name="run">Générer des possibilités</button>
    </form>
  </div>

</body>

</html>